Class | ActiveMerchant::Billing::NetbillingGateway
In: | lib/active_merchant/billing/gateways/netbilling.rb
Parent: | Gateway

### Methods

authorize capture new purchase test?

### Constants

URL | = | 'https://secure.netbilling.com:1402/gw/sas/direct3.1'
TRANSACTIONS | = | { :authorization => 'A', :purchase => 'S', :referenced_credit => 'R', :unreferenced_credit => 'C', :capture => 'D'
SUCCESS_CODES | = | [ '1', 'T' ]
SUCCESS_MESSAGE | = | 'The transaction was approved'
FAILURE_MESSAGE | = | 'The transaction failed'
TEST_LOGIN | = | '104901072025'

### Public Class methods

new(options = {})

### Public Instance methods

authorize(money, credit_card, options = {})
capture(money, authorization, options = {})
purchase(money, credit_card, options = {})
test?()

[Validate]